<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: io/writedatadat.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_7dc76e12c3f74bb85b7effb3b7dc07e4.html">io</a>
  </div>
</div>
<div class="contents">
<h1>writedatadat.c File Reference</h1><code>#include &quot;<a class="el" href="magpario_8h_source.html">magpario.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for writedatadat.c:</div>
<div class="dynsection">
<div class="center"><img src="writedatadat_8c__incl.png" border="0" usemap="#io_2writedatadat_8c_map" alt=""/></div>
<map name="io_2writedatadat_8c_map" id="io_2writedatadat_8c">
<area shape="rect" id="node3" href="magpario_8h.html" title="magpario.h" alt="" coords="108,86,193,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="217,86,287,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="writedatadat_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedatadat_8c.html#ad28639d44673a3d4c835d2390bf74c29">NVDATA</a>&nbsp;&nbsp;&nbsp;18</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedatadat_8c.html#ae821231396164e33ec42f01e154f5e3c">NEDATA</a>&nbsp;&nbsp;&nbsp;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedatadat_8c.html#a36b5a0a7c9d9a2c0e0060a859ae15269">NEDATA2</a>&nbsp;&nbsp;&nbsp;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedatadat_8c.html#ab8a17bd7aebfe396839620a814ec3e4d">DIST</a>&nbsp;&nbsp;&nbsp;1e-12</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10">WriteDatInit</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writedatadat_8c.html#a8a2136d4b7b21ac2719c65356c713cbb">WriteDat</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ab8a17bd7aebfe396839620a814ec3e4d"></a><!-- doxytag: member="writedatadat.c::DIST" ref="ab8a17bd7aebfe396839620a814ec3e4d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DIST&nbsp;&nbsp;&nbsp;1e-12</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

</div>
</div>
<a class="anchor" id="ae821231396164e33ec42f01e154f5e3c"></a><!-- doxytag: member="writedatadat.c::NEDATA" ref="ae821231396164e33ec42f01e154f5e3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NEDATA&nbsp;&nbsp;&nbsp;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatadat_8c_source.html#l00034">34</a> of file <a class="el" href="writedatadat_8c_source.html">writedatadat.c</a>.</p>

</div>
</div>
<a class="anchor" id="a36b5a0a7c9d9a2c0e0060a859ae15269"></a><!-- doxytag: member="writedatadat.c::NEDATA2" ref="a36b5a0a7c9d9a2c0e0060a859ae15269" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NEDATA2&nbsp;&nbsp;&nbsp;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatadat_8c_source.html#l00035">35</a> of file <a class="el" href="writedatadat_8c_source.html">writedatadat.c</a>.</p>

</div>
</div>
<a class="anchor" id="ad28639d44673a3d4c835d2390bf74c29"></a><!-- doxytag: member="writedatadat.c::NVDATA" ref="ad28639d44673a3d4c835d2390bf74c29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NVDATA&nbsp;&nbsp;&nbsp;18</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatadat_8c_source.html#l00033">33</a> of file <a class="el" href="writedatadat_8c_source.html">writedatadat.c</a>.</p>

<p>Referenced by <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a8a2136d4b7b21ac2719c65356c713cbb"></a><!-- doxytag: member="writedatadat.c::WriteDat" ref="a8a2136d4b7b21ac2719c65356c713cbb" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteDat </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatadat_8c_source.html#l00380">380</a> of file <a class="el" href="writedatadat_8c_source.html">writedatadat.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>, and <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>.</p>

<p>Referenced by <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writedatadat_8c_a8a2136d4b7b21ac2719c65356c713cbb_cgraph.png" border="0" usemap="#writedatadat_8c_a8a2136d4b7b21ac2719c65356c713cbb_cgraph_map" alt=""></div>
<map name="writedatadat_8c_a8a2136d4b7b21ac2719c65356c713cbb_cgraph_map" id="writedatadat_8c_a8a2136d4b7b21ac2719c65356c713cbb_cgraph">
<area shape="rect" id="node3" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="127,58,215,89"/><area shape="rect" id="node5" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="269,6,368,37"/><area shape="rect" id="node9" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="432,58,504,89"/><area shape="rect" id="node13" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="265,110,372,141"/><area shape="rect" id="node7" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="425,5,511,35"/><area shape="rect" id="node11" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="563,110,677,141"/><area shape="rect" id="node16" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="421,162,515,193"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writedatadat_8c_a8a2136d4b7b21ac2719c65356c713cbb_icgraph.png" border="0" usemap="#writedatadat_8c_a8a2136d4b7b21ac2719c65356c713cbb_icgraph_map" alt=""></div>
<map name="writedatadat_8c_a8a2136d4b7b21ac2719c65356c713cbb_icgraph_map" id="writedatadat_8c_a8a2136d4b7b21ac2719c65356c713cbb_icgraph">
<area shape="rect" id="node3" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="127,129,196,160"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="245,76,384,107"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="608,101,667,132"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="469,229,523,260"/><area shape="rect" id="node14" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="251,129,379,160"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="276,23,353,53"/><area shape="rect" id="node23" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="272,183,357,213"/><area shape="rect" id="node27" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="269,236,360,267"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="715,140,765,171"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="433,24,559,55"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a27c977d96cd920cf08c4c10eb3565f10"></a><!-- doxytag: member="writedatadat.c::WriteDatInit" ref="a27c977d96cd920cf08c4c10eb3565f10" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteDatInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writedatadat_8c_source.html#l00042">42</a> of file <a class="el" href="writedatadat_8c_source.html">writedatadat.c</a>.</p>

<p>References <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="barycent_8c_source.html#l00090">barycent()</a>, <a class="el" href="writedatadat_8c.html#ab8a17bd7aebfe396839620a814ec3e4d">DIST</a>, <a class="el" href="griddata_8h_source.html#l00193">GridData::elenmax</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00128">my_dnrm2</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="printmatinfo_8c_source.html#l00092">PrintMatInfoAll()</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writedatadat_8c_a27c977d96cd920cf08c4c10eb3565f10_cgraph.png" border="0" usemap="#writedatadat_8c_a27c977d96cd920cf08c4c10eb3565f10_cgraph_map" alt=""></div>
<map name="writedatadat_8c_a27c977d96cd920cf08c4c10eb3565f10_cgraph_map" id="writedatadat_8c_a27c977d96cd920cf08c4c10eb3565f10_cgraph">
<area shape="rect" id="node3" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="149,6,248,37"/><area shape="rect" id="node7" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="312,58,384,89"/><area shape="rect" id="node11" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="145,110,252,141"/><area shape="rect" id="node5" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="305,5,391,35"/><area shape="rect" id="node9" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="443,110,557,141"/><area shape="rect" id="node14" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="301,162,395,193"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writedatadat_8c_a27c977d96cd920cf08c4c10eb3565f10_icgraph.png" border="0" usemap="#writedatadat_8c_a27c977d96cd920cf08c4c10eb3565f10_icgraph_map" alt=""></div>
<map name="writedatadat_8c_a27c977d96cd920cf08c4c10eb3565f10_icgraph_map" id="writedatadat_8c_a27c977d96cd920cf08c4c10eb3565f10_icgraph">
<area shape="rect" id="node3" href="writedatadat_8c.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="145,129,215,160"/><area shape="rect" id="node5" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="265,129,335,160"/><area shape="rect" id="node7" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="384,76,523,107"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="747,101,805,132"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="608,229,661,260"/><area shape="rect" id="node16" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="389,129,517,160"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="415,23,492,53"/><area shape="rect" id="node25" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="411,183,496,213"/><area shape="rect" id="node29" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="408,236,499,267"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="853,140,904,171"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="572,24,697,55"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

